(api-ccp-util)=

# ciscoconfparse2.ccp_util Classes and Methods

```{eval-rst}
.. autoclass:: ciscoconfparse2.ccp_util.IPv4Obj
      :members:
      :undoc-members:
      :inherited-members:
```

```{eval-rst}
.. autoclass:: ciscoconfparse2.ccp_util.IPv6Obj
      :members:
      :undoc-members:
      :inherited-members:
```

```{eval-rst}
.. autoclass:: ciscoconfparse2.ccp_util.CiscoRange
      :members:
      :undoc-members:
      :inherited-members:
```

```{eval-rst}
.. autoclass:: ciscoconfparse2.ccp_util.DNSResponse
      :members:
      :undoc-members:
      :inherited-members:
```

```{eval-rst}
.. autofunction:: ciscoconfparse2.ccp_util.dns_query
```
